package com.pcloud.book.copyright.dao;

import com.pcloud.book.copyright.entity.BookSceneAuth;
import com.pcloud.common.core.dao.BaseDao;
import java.util.List;

/**
 * 书籍二维码授权表(BookSceneAuth)表数据库访问层
 *
 * @author makejava
 * @since 2021-10-19 14:14:22
 */
public interface BookSceneAuthDao extends BaseDao<BookSceneAuth> {

    BookSceneAuth getAuthSceneInfo(Long bookId, Long sceneId);

    List<BookSceneAuth> getAuthSceneIds(Long bookId, List<Long> sceneIds);

    void batchUpdate(List<BookSceneAuth> updateList);
}